package com.yeejoin.amos.supervision.business.dao.mapper;


import com.yeejoin.amos.supervision.business.param.InputItemPageParam;
import com.yeejoin.amos.supervision.business.vo.RoutePointItemVo;
import com.yeejoin.amos.supervision.dao.entity.RoutePointItem;

import java.util.List;

public interface RoutePointItemMapper extends BaseMapper {

    public void updateRoutePointItem(RoutePointItem pointItem);

    int delRoutePointItemByRouteId(Long routeId);

    long queryPageCount(InputItemPageParam param);

    int getPointItemCount(Long routeId , Long pointId);

    List<RoutePointItemVo> queryPage(InputItemPageParam param);
}
